Bug 33857 - Patch for tomcat documentation
Patch for tomcat documentation
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Administration
5.5.7
All All
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-03-04 23:20 UTC by Joost Baaij
Modified: 2005-03-23 08:27 UTC (History)
0 users



Attachments
docs update (1.12 KB, patch)
2005-03-04 23:21 UTC, Joost Baaij
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joost Baaij 2005-03-04 23:20:34 UTC
Index: apache.xml
===============================================================
====
RCS file: /home/cvspublic/jakarta-tomcat-connectors/jk/xdocs/howto/apache.xml,v
retrieving revision 1.2
diff -u -r1.2 apache.xml
--- apache.xml	23 Dec 2004 13:52:00 -0000	1.2
+++ apache.xml	4 Mar 2005 22:14:26 -0000
@@ -244,9 +244,17 @@
 
 <p>
 This will tell Apache to use directives in the <b>mod_jk.conf-auto</b> file in the Apache 
configuration.  
-This file is created by enabling the Apache auto-configuration as described in the Tomcat 
documentation.
+This file is created by enabling the Apache auto-configuration as follows, in your server.xml file:
 </p>
 
+<source>
+	<Server ...>
+		<Listener className="org.apache.jk.config.ApacheConfig" modJk="/path/to/mod_jk.so" />
+	</Server>
+</source>
+
+<p>Then restart Tomcat and mod_jk.conf should be generated. For more information on this topic, 
please refer to the API documentation at the <a href="http://jakarta.apache.org/tomcat/tomcat-5.5-
doc/catalina/docs/api/org/apache/jk/config/ApacheConfig.html">Tomcat docs website</a>.</p>
+
 </subsection>
 
 <subsection name="Custom mod_jk configuration">
Comment 1 Joost Baaij 2005-03-04 23:21:41 UTC
Created attachment 14408 [details]
docs update
Comment 2 Yoav Shapira 2005-03-23 17:27:19 UTC
Patch applied.  Thanks for submitting it.